#
# Cookbook Name:: raxmon-cli
# Recipe:: default
#
# Copyright 2012, Rackspace Hosting
#
# All rights reserved - Do Not Redistribute
#

include_recipe "python"

if Chef::DataBag.list.keys.include?("rackspace") && data_bag("rackspace").include?("cloud")
  #Access the Rackspace Cloud encrypted data_bag
  raxcloud = Chef::EncryptedDataBagItem.load("rackspace","cloud")

  #Create variables for the Rackspace Cloud username and apikey
  raxusername = raxcloud['raxusername']
  raxapikey = raxcloud['raxapikey']

  #Create the .raxrc with credentials in /root
  template "/root/.raxrc" do
    source "raxrc.erb"
    owner "root"
    group "root"
    mode 0600
    variables(
      :raxusername => raxusername,
      :raxapikey => raxapikey
    )
  end
else
	Chef::Log.info "rackspace data bag with item cloud does not exist, skipping .raxrc creation"
end

#Install the raxmon-cli
python_pip "rackspace-monitoring-cli" do
  action :upgrade
end
